"""
The `tests` module contains unit tests and integration tests for the AN-Augment library.

This module is designed to ensure the correctness and reliability of all augmentations
across various domains. Each domain (e.g., medical, mechanical, environmental, water) has
dedicated test files to validate augmentation behavior and performance.

## Structure
- `test_medical.py`: Tests for medical image augmentations.
- `test_mechanical.py`: Tests for mechanical data augmentations.
- `test_environmental.py`: Tests for environmental data augmentations.
- `test_water.py`: Tests for water systems augmentations.

## How to Run Tests
To execute the tests, run the following command from the root directory:
"""
